<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


$set['title']='Приветствие странички';
include_once 'sys/inc/thead.php';
title();


if (isset($_POST['save']))
{
if (isset($_POST['privet']) && strlen2($_POST['privet'])<=84)
{
if (preg_match('#[^A-zА-я0-9 _\-\!=\+\(\)\*\?\.,]#ui',$_POST['privet']))$err[]='Используются запрещенные символы';
else
{
$user['privet']=$_POST['privet'];
mysql_query("UPDATE `user` SET `privet` = '".my_esc($user['privet'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Привышает лимит символов';
if (!isset($err))msg('Сохранено');
}
err();
aut();

$privet = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]'"));

if ($privet['privet']!=NULL)
{echo "";}
else
{echo "";}

echo "<form method='post' action='?$passgen'>\n";
echo "Текст приветствие:<br />\n<input type='text' name='privet' value='$user[privet]' maxlength='83' /><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";

include_once 'sys/inc/tfoot.php';
?>